This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 476983 - RFE: midori 0.0.21 obsolete / current upstream version 0.1.2
RFE: midori 0.0.21 obsolete / current upstream version 0.1.2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: midori (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
: Triaged
: 493554 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-18 09:26 EST by Joachim Frieben
Modified: 2009-12-10 10:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-10 10:26:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2008-12-18 09:26:55 EST
Description of problem:
F10 currently includes midori version 0.0.21 which is obsolete, as the latest version released on 2008-12-01 is 0.1.1.

Version-Release number of selected component (if applicable):
midori-0.0.21-1.fc10

How reproducible:
Always.

Steps to Reproduce:
1. Install midori from the F10 repository.
2. Launch midori.

Actual results:
Version reads 0.0.21 (2008-08-31).

Expected results:
Version reads 0.1.1 (2008-12-01).

Additional info:
midori is at an early stage of development, and many basic features are missing or do not work properly, but they get continuously added in the course of development. For this reason, it is more important to stay in sync with upstream than in the case of a mature application. (Hint: likewise WebKit is at r39370 whereas F10 ships r37790 as of 2008-10-22.)
Comment 1 Peter Gordon 2008-12-20 16:28:59 EST
Thanks for the bug. I just committed this update to Rawhide and will push it to F10 after it sits in Rawhide for a couple of days to make sure there are no major bugs or issues with it.
Comment 2 Joachim Frieben 2009-01-11 12:43:50 EST
Upstream midori is still at version 0.1.1 whereas WebKit has already moved on to r39790, so time to catch up on F10 with respect to "rawhide"?
Comment 3 Joachim Frieben 2009-01-15 09:16:06 EST
And the show goes on: midori v0.1.2 got released on 2009-01-14.
Comment 4 Jerry Amundson 2009-07-08 01:23:17 EDT
*** Bug 493554 has been marked as a duplicate of this bug. ***
Comment 5 Joachim Frieben 2009-09-21 14:30:16 EDT
(In reply to comment #1)
Well, maybe you do not want to build some newer versions of midori/WebKit for F10, but it would be already great to push the existing builds to F10-updates (thanks!):
- midori-0.1.2-1.fc10 [Koji]
- WebKit-1.1.0-0.16.svn40351.fc10 [F10-updates-testing]
Comment 6 Bug Zapper 2009-11-18 05:30:26 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Adam Miller 2009-12-10 10:26:04 EST
This bug is old and outdated, we are currently pushing the latest Midori from upstream (at the time of this writing is version 0.2.1). Closing bug.

Note You need to log in before you can comment on or make changes to this bug.